ScraperCity logo

API Documentation

Use it from an AI agent (MCP)

Every endpoint below is also reachable through the ScraperCity MCP server. Connect Claude Code, Cursor, Windsurf, Cline, Copilot, or Gemini with this config, or see the full setup at /mcp.

{
  "mcpServers": {
    "scrapercity": {
      "command": "npx",
      "args": ["-y", "--package", "scrapercity", "scrapercity-mcp"],
      "env": {
        "SCRAPERCITY_API_KEY": "your_api_key_here"
      }
    }
  }
}

Quick Start

  1. Create an API key in your dashboard
  2. Choose a scraper endpoint from our 10 available services
  3. Make a POST request with your API key in the Authorization header
  4. Poll the status endpoint until scraping completes
  5. Download results via the download endpoint
# Example: Scrape Apollo leads
curl -X POST https://app.scrapercity.com/api/v1/scrape/apollo \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url": "YOUR_APOLLO_URL", "count": 1000}'

# Response
{"runId": "ABC123", "message": "Apollo scrape started for 1000 contacts"}

Base URLs

PRODUCTIONhttps://app.scrapercity.com/api/v1

Pricing

ScraperPriceUnit
Apollo Scraper$0.0039 per leadper lead
Domain Email Finder$0.0499 per contact foundper domain
People Finder (Skiptrace)$0.0199 per result (searches with 0 matches are billed as 1 result)per profile
Deal Finder$0.05 per propertyper profile
Email Validator$0.0072 per emailper email found
Google Maps Scraper$0.0099 per businessper business
Airbnb Pro Host Scraper$0.019 per result ($19.00 per 1,000)per email found
BizBuySell Scraper$0.0099 per listingper profile
Crexi Scraper$0.029 per propertyper profile
Angi (Angie's List) Scraper$0.0099 per listingper profile
Yelp Scraper$0.0099 per resultper profile
Zillow Agents Scraper$0.029 per agentper profile
Property Lookup$0.15 per property (+$0.10 for owner contact)per profile
Criminal Records Search$1.00 per search (only charged if records found)per profile
Store Leads (E-Commerce)$0.0039 per leadper profile
Tech Stack Scraper$4.99 per technologyper profile
Email Finder$0.05 per email found (FREE if not found)per email found
Mobile Finder$0.25 per number found (FREE if not found)per number found
Buy CreditsPay-as-you-goper profile
Lead Database APIIncluded with $149/mo planincluded with $149/mo
Lead Enrichment Tool APIIncluded with $149/mo planincluded with $149/mo
Local Business Enrichment Tool APIIncluded with $649/mo planincluded with $149/mo
Local Business Database APIIncluded with $149/mo planincluded with $149/mo
Ecommerce Store Database APIIncluded with $149/mo planincluded with $149/mo

Rate Limits & Quotas

Limit TypeValueNotes
API Requests100/minutePer API key
Concurrent Scrapes10Running simultaneously
Result Storage48 hoursDownload promptly
Database API - Per Request100 recordsPer GET request
Database API - Daily100,000 recordsResets midnight UTC ($149/mo plan)